###################################################
### chunk number 1: 
###################################################
require(etm)
data(abortion)


###################################################
### chunk number 2: 
###################################################
head(abortion)


###################################################
### chunk number 3: 
###################################################
cif.abortion <- etmCIF(Surv(entry, exit, cause != 0) ~ group, 
                   abortion, etype = cause, failcode = 3)
cif.abortion


###################################################
### chunk number 4: 
###################################################
s.cif.ab <- summary(cif.abortion)


###################################################
### chunk number 5: 
###################################################
s.cif.ab


###################################################
### chunk number 6: 
###################################################
plot(cif.abortion)


###################################################
### chunk number 7: 
###################################################
plot(cif.abortion, curvlab = c("Control", "Exposed"), ylim = c(0, 0.6), 
     ci.type = "bars", pos.ci = 27, col = c(1, 2), ci.lwd = 6, 
     lwd = 2, lty = 1, cex = 1.3)


###################################################
### chunk number 8: 
###################################################
plot(cif.abortion, curvlab = c("Control", "Exposed"), ylim = c(0, 0.6), 
     ci.type = "bars", pos.ci = c(27, 28), col = c(1, 1), ci.lwd = 6, 
     lwd = 2, lty = c(2, 1), cex = 1.3)


###################################################
### chunk number 9: 
###################################################
plot(cif.abortion, curvlab = c("Control", "Exposed"), ylim = c(0, 0.5), 
     ci.type = "pointwise", col = c(1, 2), lwd = 2, lty = 1, cex = 1.3)


###################################################
### chunk number 10: 
###################################################
plot(cif.abortion, which.cif = c(1, 2), ylim = c(0, 0.8), lwd = 2,
     col = c(1, 1, 2, 2), lty = c(1, 2, 1, 2), legend = FALSE)
legend(0, 0.8, c("Control", "Exposed"), col = c(1, 2), lty = 1, 
       bty = "n", lwd = 2)
legend(0, 0.7, c("ETOP", "Life Birth"), col = 1, lty = c(1, 2), 
       bty = "n", lwd = 2)


###################################################
### chunk number 11: 
###################################################
abortion$status <- with(abortion, ifelse(cause == 2, "life birth",
                        ifelse(cause == 1, "ETOP", "spontaneous abortion")))
abortion$status <- factor(abortion$status)

abortion$treat <- with(abortion, ifelse(group == 0, "control", "exposed"))
abortion$treat <- factor(abortion$treat)


###################################################
### chunk number 12: 
###################################################
new.cif <- etmCIF(Surv(entry, exit, status != 0) ~ treat, abortion, 
                  etype = status, failcode = "spontaneous abortion")
new.cif


###################################################
### chunk number 13: 
###################################################
trprob(new.cif[[1]], "0 spontaneous abortion", c(1, 10, 27))


###################################################
### chunk number 14:  eval=FALSE
###################################################
## lines(cif.abortion[[2]], tr.choice = "0 1", col = 2, lwd = 2)


###################################################
### chunk number 15: 
###################################################
plot(cif.abortion, curvlab = c("Control", "Exposed"), ylim = c(0, 0.6), 
     ci.type = "bars", pos.ci = c(27, 28), col = c(1, 1), ci.lwd = 6, 
     lwd = 2, lty = c(2, 1), cex = 1.3)
lines(cif.abortion[[2]], tr.choice = "0 1", col = 2, lwd = 2)


